function [mag,phase] = respfreq(num,den,n,m)
%
w = logspace(n,m);
[mag,phase] = bode(num,den,w);
[Mg,Mf,Wcf,Wcg] = margin(mag,phase,w);
%
disp(' ')
disp('----------------- Margens de ganho e fase -----------------')
disp(' ')
Mgdb = 20 * log10(Mg);
vf=[Wcg;Mf];
vg=[Wcf;Mg;Mgdb];
magdb = 20 * log10(mag);
fprintf('Wcg = %9.5f     Mf = %9.5f\n',vf)
fprintf('Wcf = %9.5f     Mg = %9.5f     Mg em dB = %9.5f\n',vg)
disp('-----------------------------------------------------------')
pause
v = zeros(50,1);
semilogx(w,magdb,'-',w,v,':'), title('ganho')
grid
if ((Wcf >= 10^n) & (Wcf<=10^m))
   text(Wcf,0,'< Wcf')
end
pause
v = -180 * ones(50,1);
semilogx(w,phase,'-',w,v,':'), title('fase')
grid
if ((Wcg >= 10^n) & (Wcg<=10^m))
   text(Wcg,-180,'< Wcg')
end
pause
